com.holonplatform.auth.jwt

## Enum JwtSignatureAlgorithm

- java.lang.Object
- - java.lang.Enum<JwtSignatureAlgorithm>
  - - com.holonplatform.auth.jwt.JwtSignatureAlgorithm

- All Implemented Interfaces:
    Serializable, Comparable<JwtSignatureAlgorithm>

      public enum JwtSignatureAlgorithm
      extends Enum<JwtSignatureAlgorithm>

  JWT signature algorithms enumeration.
  Since:
    5.1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ES256`
    `ES384`
    `ES512`
    `HS256`
    `HS384`
    `HS512`
    `NONE`
    `PS256`
    `PS384`
    `PS512`
    `RS256`
    `RS384`
    `RS512`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Get the algorithm description.
    `String` | `getValue()` Get the algorithm name.
    `boolean` | `isSymmetric()` Get whether the algorithm is symmetric.
    `static JwtSignatureAlgorithm` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JwtSignatureAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final JwtSignatureAlgorithm NONE

    - #### HS256

          public static final JwtSignatureAlgorithm HS256

    - #### HS384

          public static final JwtSignatureAlgorithm HS384

    - #### HS512

          public static final JwtSignatureAlgorithm HS512

    - #### RS256

          public static final JwtSignatureAlgorithm RS256

    - #### RS384

          public static final JwtSignatureAlgorithm RS384

    - #### RS512

          public static final JwtSignatureAlgorithm RS512

    - #### ES256

          public static final JwtSignatureAlgorithm ES256

    - #### ES384

          public static final JwtSignatureAlgorithm ES384

    - #### ES512

          public static final JwtSignatureAlgorithm ES512

    - #### PS256

          public static final JwtSignatureAlgorithm PS256

    - #### PS384

          public static final JwtSignatureAlgorithm PS384

    - #### PS512

          public static final JwtSignatureAlgorithm PS512

  - ### Method Detail

    - #### values

          public static JwtSignatureAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JwtSignatureAlgorithm c : JwtSignatureAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JwtSignatureAlgorithm valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

      Get the algorithm name.
      Returns:
        the algorithm name

    - #### getDescription

          public String getDescription()

      Get the algorithm description.
      Returns:
        the algorithm description

    - #### isSymmetric

          public boolean isSymmetric()

      Get whether the algorithm is symmetric.
      Returns:
        `true` if symmetric, `false` if asymmetric

Copyright © 2019 The Holon Platform. All rights reserved.